## loolwsd-7.0.1.1.tar.gz

=== loleaflet/Makefile ===
# Makefile.in generated by automake 1.15 from Makefile.am.
# loleaflet/Makefile.  Generated from Makefile.in by configure.

# Copyright (C) 1994-2014 Free Software Foundation, Inc.

# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.



am__is_gnu_make = { \
  if test -z '$(MAKELEVEL)'; then \
    false; \
  elif test -n '$(MAKE_HOST)'; then \
    true; \
  elif test -n '$(MAKE_VERSION)' && test -n '$(CURDIR)'; then \
    true; \
  else \
    false; \
  fi; \
}
am__make_running_with_option = \
  case $${target_option-} in \
      ?) ;; \
      *) echo "am__make_running_with_option: internal error: invalid" \
              "target option '$${target_option-}' specified" >&2; \
         exit 1;; \
  esac; \
  has_opt=no; \
  sane_makeflags=$$MAKEFLAGS; \
  if $(am__is_gnu_make); then \
    sane_makeflags=$$MFLAGS; \
  else \
    case $$MAKEFLAGS in \
      *\\[\ \	]*) \
        bs=\\; \
        sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
          | sed "s/$$bs$$bs[$$bs $$bs	]*//g"`;; \
    esac; \
  fi; \
  skip_next=no; \
  strip_trailopt () \
  { \
    flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
  }; \
  for flg in $$sane_makeflags; do \
    test $$skip_next = yes && { skip_next=no; continue; }; \
    case $$flg in \
      *=*|--*) continue;; \
        -*I) strip_trailopt 'I'; skip_next=yes;; \
      -*I?*) strip_trailopt 'I';; \
        -*O) strip_trailopt 'O'; skip_next=yes;; \
      -*O?*) strip_trailopt 'O';; \
        -*l) strip_trailopt 'l'; skip_next=yes;; \
      -*l?*) strip_trailopt 'l';; \
      -[dEDm]) skip_next=yes;; \
      -[JT]) skip_next=yes;; \
    esac; \
    case $$flg in \
      *$$target_option*) has_opt=yes; break;; \
    esac; \
  done; \
  test $$has_opt = yes
am__make_dryrun = (target_option=n; $(am__make_running_with_option))
am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
pkgdatadir = $(datadir)/loolwsd
pkgincludedir = $(includedir)/loolwsd
pkglibdir = $(libdir)/loolwsd
pkglibexecdir = $(libexecdir)/loolwsd
am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
build_triplet = x86_64-pc-linux-gnu
host_triplet = x86_64-pc-linux-gnu
am__append_1 = \
	l10n.js

subdir = loleaflet
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
am__aclocal_m4_deps = $(top_srcdir)/m4/libtool.m4 \
	$(top_srcdir)/m4/ltoptions.m4 $(top_srcdir)/m4/ltsugar.m4 \
	$(top_srcdir)/m4/ltversion.m4 $(top_srcdir)/m4/lt~obsolete.m4 \
	$(top_srcdir)/configure.ac
am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
	$(ACLOCAL_M4)
DIST_COMMON = $(srcdir)/Makefile.am $(am__DIST_COMMON)
mkinstalldirs = $(install_sh) -d
CONFIG_HEADER = $(top_builddir)/config.h
CONFIG_CLEAN_FILES = npm-shrinkwrap.json
CONFIG_CLEAN_VPATH_FILES = package.json
AM_V_P = $(am__v_P_$(V))
am__v_P_ = $(am__v_P_$(AM_DEFAULT_VERBOSITY))
am__v_P_0 = false
am__v_P_1 = :
AM_V_GEN = $(am__v_GEN_$(V))
am__v_GEN_ = $(am__v_GEN_$(AM_DEFAULT_VERBOSITY))
am__v_GEN_0 = @echo "  GEN     " $@;
am__v_GEN_1 = 
AM_V_at = $(am__v_at_$(V))
am__v_at_ = $(am__v_at_$(AM_DEFAULT_VERBOSITY))
am__v_at_0 = @
am__v_at_1 = 
SOURCES =
DIST_SOURCES =
am__can_run_installinfo = \
  case $$AM_UPDATE_INFO_DIR in \
    n|no|NO) false;; \
    *) (install-info --version) >/dev/null 2>&1;; \
  esac
am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) $(LISP)
am__DIST_COMMON = $(srcdir)/Makefile.in \
	$(srcdir)/npm-shrinkwrap.json.in $(srcdir)/package.json README
DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
ACLOCAL = ${SHELL} /home/collabora/online-libreoffice-7-0/missing aclocal-1.15
AMTAR = $${TAR-tar}
AM_DEFAULT_VERBOSITY = 1
ANDROID_ABI = armeabi-v7a
ANDROID_PACKAGE_NAME = 
ANDROID_PACKAGE_VERSIONCODE = 
APP_BRANDING_DIR = 
APP_GOOGLE_PLAY = false
APP_HAS_BRANDING = false
APP_IC_LAUNCHER = ic_launcher
APP_NAME = LibreOffice Online
AR = ar
AUTOCONF = ${SHELL} /home/collabora/online-libreoffice-7-0/missing autoconf
AUTOHEADER = ${SHELL} /home/collabora/online-libreoffice-7-0/missing autoheader
AUTOMAKE = ${SHELL} /home/collabora/online-libreoffice-7-0/missing automake-1.15
AWK = gawk
CC = gcc
CCDEPMODE = depmode=gcc3
CFLAGS = -g -O2 -Wall -Wextra -Werror
CHROME = 
CORE_VERSION_HASH = 
CPP = gcc -E
CPPFLAGS =  -I/home/collabora/jenkins/workspace/core-cp-6.2-with-release-tag/include -isystem /opt/poco/include
CPPUNIT_CFLAGS = 
CPPUNIT_LIBS = -lcppunit
CUSTOM_ICONS_DIRECTORY = 
CXX = g++
CXXCPP = g++ -E
CXXDEPMODE = depmode=gcc3
CXXFLAGS = -g -O2 -std=c++11 -Wall -Wextra -Wshadow -Werror
CYGPATH_W = echo
DEFS = -DHAVE_CONFIG_H
DEPDIR = .deps
DLLTOOL = false
DSYMUTIL = 
DUMPBIN = 
ECHO_C = 
ECHO_N = -n
ECHO_T = 
EGREP = /bin/grep -E
ENABLE_ANDROIDAPP = 
ENABLE_BROWSERSYNC = 
ENABLE_CYPRESS = false
ENABLE_DEBUG = false
ENABLE_DEBUG_PROTOCOL = false
ENABLE_GTKAPP = 
ENABLE_IOSAPP = 
ENABLE_MOBILEAPP = 
ENABLE_SETCAP = true
ENABLE_SSL = true
ENABLE_SUPPORT_KEY = 
ENABLE_WELCOME_MESSAGE = false
ENABLE_WELCOME_MESSAGE_BUTTON = false
EXEEXT = 
FGREP = /bin/grep -F
GREP = /bin/grep
INFO_URL = https://www.libreoffice.org
INSTALL = /usr/bin/install -c
INSTALL_DATA = ${INSTALL} -m 644
INSTALL_PROGRAM = ${INSTALL}
INSTALL_SCRIPT = ${INSTALL}
INSTALL_STRIP_PROGRAM = $(install_sh) -c -s
IOSAPP_BUNDLE_VERSION = 
IOSAPP_FONTS = 
JAILS_PATH = 
LD = /usr/bin/ld -m elf_x86_64
LDFLAGS =  -L/opt/poco/lib -Wl,-rpath,/opt/poco/lib
LIBOBJS = 
LIBPNG_INCLUDES = 
LIBPNG_LIBS = 
LIBS = -lpam -lcap -lpng -ldl  -latomic -lstdc++fs -lPocoNetSSL -lPocoNet -lPocoUtil -lPocoJSON -lPocoXML -lPocoFoundation -lPocoCrypto -lssl -lcrypto
LIBTOOL = $(SHELL) $(top_builddir)/libtool
LIPO = 
LN_S = ln -s
LOBUILDDIR = 
LOBUILDDIR_ARM64_V8A = 
LOKIT_PATH = /home/collabora/jenkins/workspace/core-cp-6.2-with-release-tag/include
LOLEAFLET_LOGGING = false
LOOLWSD_ANONYMIZE_USER_DATA = false
LOOLWSD_CONFIGDIR = ${prefix}/etc/loolwsd
LOOLWSD_DATADIR = ${datarootdir}/loolwsd
LOOLWSD_LOGFILE = /var/log/loolwsd.log
LOOLWSD_LOGLEVEL = warning
LOOLWSD_LOG_TO_FILE = false
LOOLWSD_VERSION = 7.0.1
LOOLWSD_VERSION_HASH = da0be0f
LOOLWSD_VERSION_MAJOR = 7
LOOLWSD_VERSION_MICRO = 1
LOOLWSD_VERSION_MINOR = 0
LO_PATH = /home/collabora/jenkins/workspace/core-cp-6.2-with-release-tag/instdir
LTLIBOBJS = 
LT_SYS_LIBRARY_PATH = 
MAKEINFO = ${SHELL} /home/collabora/online-libreoffice-7-0/missing makeinfo
MANIFEST_TOOL = :
MAX_CONNECTIONS = 20
MAX_DOCUMENTS = 10
MKDIR_P = /bin/mkdir -p
NM = /usr/bin/nm -B
NMEDIT = 
NODE = /usr/bin/node
NPM = /usr/bin/npm
OBJDUMP = objdump
OBJEXT = o
OTOOL = 
OTOOL64 = 
PACKAGE = loolwsd
PACKAGE_BUGREPORT = libreoffice@lists.freedesktop.org
PACKAGE_NAME = loolwsd
PACKAGE_STRING = loolwsd 7.0.1.1
PACKAGE_TARNAME = loolwsd
PACKAGE_URL = 
PACKAGE_VERSION = 7.0.1.1
PATH_SEPARATOR = :
PKG_CONFIG = /usr/bin/pkg-config
PKG_CONFIG_LIBDIR = 
PKG_CONFIG_PATH = 
POCODEBUG = 
POCOINCLUDE = 
POCOINCLUDE_ARM64_V8A = 
POCOLIB = 
POCOLIB_ARM64_V8A = 
RANLIB = ranlib
SED = /bin/sed
SETCAP = /sbin/setcap
SET_MAKE = 
SHELL = /bin/bash
STRIP = strip
SYSTEMPLATE_PATH = not-set
VENDOR = collabora
VEREIGN_URL = 
VERSION = 7.0.1.1
WEBKIT_CFLAGS = 
WEBKIT_LIBS = 
ZLIB_CFLAGS = 
ZLIB_LIBS = -lz
abs_builddir = /home/collabora/online-libreoffice-7-0/loleaflet
abs_srcdir = /home/collabora/online-libreoffice-7-0/loleaflet
abs_top_builddir = /home/collabora/online-libreoffice-7-0
abs_top_srcdir = /home/collabora/online-libreoffice-7-0
ac_ct_AR = ar
ac_ct_CC = gcc
ac_ct_CXX = g++
ac_ct_DUMPBIN = 
am__include = include
am__leading_dot = .
am__quote = 
am__tar = tar --format=posix -chf - "$$tardir"
am__untar = tar -xf -
bindir = ${exec_prefix}/bin
build = x86_64-pc-linux-gnu
build_alias = 
build_cpu = x86_64
build_os = linux-gnu
build_vendor = pc
builddir = .
datadir = ${datarootdir}
datarootdir = ${prefix}/share
docdir = ${datarootdir}/doc/${PACKAGE_TARNAME}
dvidir = ${docdir}
exec_prefix = ${prefix}
host = x86_64-pc-linux-gnu
host_alias = 
host_cpu = x86_64
host_os = linux-gnu
host_vendor = pc
htmldir = ${docdir}
includedir = ${prefix}/include
infodir = ${datarootdir}/info
install_sh = ${SHELL} /home/collabora/online-libreoffice-7-0/install-sh
libdir = ${exec_prefix}/lib
libexecdir = ${exec_prefix}/libexec
localedir = ${datarootdir}/locale
localstatedir = ${prefix}/var
mandir = ${datarootdir}/man
mkdir_p = $(MKDIR_P)
oldincludedir = /usr/include
pdfdir = ${docdir}
prefix = /usr/local
program_transform_name = s,x,x,
psdir = ${docdir}
runstatedir = ${localstatedir}/run
sbindir = ${exec_prefix}/sbin
sharedstatedir = ${prefix}/com
srcdir = .
sysconfdir = ${prefix}/etc
target_alias = 
top_build_prefix = ../
top_builddir = ..
top_srcdir = ..
MAKEFLAGS = --no-builtin-rules
CTAGS = ctags
L10N_PO = $(wildcard $(srcdir)/po/*.po)
DIST_FOLDER = $(builddir)/dist
#DIST_FOLDER = $(abs_top_srcdir)/android/lib/src/main/assets/dist
L10N_JSON = $(patsubst $(srcdir)/po/%.po,$(DIST_FOLDER)/l10n/%.json,$(L10N_PO))
#L10N_JSON = $(L10N_IOS_ALL_JS)
#L10N_IOS_ALL_JS = $(DIST_FOLDER)/l10n-all.js
JQUERY_LIGHTNESS_IMAGE_PATH = node_modules/jquery-ui/themes/ui-lightness/images
JQUERY_LIGHTNESS_IMAGES = $(wildcard $(JQUERY_LIGHTNESS_IMAGE_PATH)/*.png)
JQUERY_LIGHTNESS_DIST_IMAGES = $(patsubst $(JQUERY_LIGHTNESS_IMAGE_PATH)/%.png,$(DIST_FOLDER)/images/%.png,$(JQUERY_LIGHTNESS_IMAGES))
JQUERY_MINIFIED_IMAGE_PATH = node_modules/jquery-ui/themes/base/minified/images
JQUERY_MINIFIED_IMAGES = $(wildcard $(JQUERY_MINIFIED_IMAGE_PATH)/*.png)
JQUERY_MINIFIED_DIST_IMAGES = $(patsubst $(JQUERY_MINIFIED_IMAGE_PATH)/%.png,$(DIST_FOLDER)/images/%.png,$(JQUERY_MINIFIED_IMAGES))
LOLEAFLET_IMAGES_SRC = $(shell find $(srcdir)/images -name '*.*')
LOLEAFLET_IMAGES_DST = $(patsubst $(srcdir)/%,$(DIST_FOLDER)/%,$(LOLEAFLET_IMAGES_SRC))
LOLEAFLET_IMAGES_CUSTOM_SRC = $(shell find $(CUSTOM_ICONS_DIRECTORY) -name '*.*')
LOLEAFLET_IMAGES_CUSTOM_DST = $(patsubst $(CUSTOM_ICONS_DIRECTORY)/%,$(DIST_FOLDER)/images/%,$(LOLEAFLET_IMAGES_CUSTOM_SRC))
LOLEAFLET_L10N_SRC = $(shell find $(srcdir)/l10n -name '*.*')
LOLEAFLET_L10N_DST = $(patsubst $(srcdir)/l10n/%,$(DIST_FOLDER)/l10n/%,$(LOLEAFLET_L10N_SRC))
LOLEAFLET_HTML_SRC = $(shell find $(srcdir)/html -name '*.html')
LOLEAFLET_HTML_DST = $(patsubst $(srcdir)/html/%.html,$(DIST_FOLDER)/%.html,$(LOLEAFLET_HTML_SRC))
LOLEAFLET_ADMIN_SRC = $(shell find $(srcdir)/admin -name '*.html')
LOLEAFLET_ADMIN_ALL = $(shell find $(srcdir)/admin -name '*')
LOLEAFLET_ADMIN_DST = $(patsubst $(srcdir)/admin/%,$(DIST_FOLDER)/admin/%,$(LOLEAFLET_ADMIN_SRC))
LOLEAFLET_ADMIN_JS = \
	admin/src/Base.js \
	admin/src/Admin.js \
	admin/src/AdminSocketBase.js \
	admin/src/Util.js \
	admin/src/AdminSocketOverview.js \
	admin/src/AdminSocketAnalytics.js \
	admin/src/AdminSocketSettings.js \
	admin/src/AdminSocketHistory.js

NODE_MODULES_SRC = \
	autolinker@1.4.3 \
	json-js@1.1.2 \
	select2@4.0.1 \
	vex-js@4.1.0 \
	l10n-for-node@0.0.1 \
	@braintree/sanitize-url@3.0.0

LOLEAFLET_CSS = \
	$(builddir)/node_modules/select2/dist/css/select2.css \
	$(srcdir)/css/w2ui-1.5.rc1.css \
	$(srcdir)/css/leaflet.css \
	$(srcdir)/css/leaflet-spinner.css \
	$(srcdir)/css/selectionMarkers.css \
	$(srcdir)/css/loleaflet.css \
	$(srcdir)/css/toolbar.css \
	$(srcdir)/css/toolbar-mobile.css \
	$(srcdir)/css/partsPreviewControl.css \
	$(srcdir)/css/sidebar.css \
	$(srcdir)/css/scrollBar.css \
	$(srcdir)/css/searchControl.css \
	$(srcdir)/css/impress.css \
	$(srcdir)/css/impress-mobile.css \
	$(srcdir)/css/spreadsheet.css \
	$(srcdir)/css/writer.css \

=== debian/control ===
Source: loolwsd
Section: web
Priority: optional
Maintainer: Andras Timar <andras.timar@collabora.com>
Build-Depends: debhelper (>= 9), dh-systemd (>= 1.3), libcap-dev, libcap2-bin, libpcre3-dev, libpng-dev, libpoco-dev (>= 1.7.5), linux-libc-dev, nodejs, python-polib, python-lxml, python3-polib, python3-lxml, fontconfig, libpam-dev, libcppunit-dev, pkg-config, devscripts, m4
Standards-Version: 3.9.7

Package: loolwsd
Section: web
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, adduser, fontconfig, libsm6, libssl1.0.0, libodbc1, libxinerama1, libxrender1, libcairo2, libgl1-mesa-glx, libcups2, libdbus-glib-1-2, cpio, libcap2-bin, ${lo:Depends}
Description: LibreOffice Online WebSocket Daemon
 LOOLWSD is a daemon that talks to web browser clients and provides LibreOffice
 services.
